<?php
	class ControllerModuleCatRecommendations extends Controller {
		private $error = array(); 
		
		public function index() {   
			$this->language->load('module/cat_recommendations');
			
			$this->document->setTitle($this->language->get('heading_title'));
			
			$this->load->model('catalog/product');
			
			$this->load->model('setting/setting');
			
			if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {			
				$this->model_setting_setting->editSetting('cat_recommendations', $this->request->post);		
				
				$this->session->data['success'] = $this->language->get('text_success');
				
				if(isset($this->request->post['apply']) && $this->request->post['apply']){
					$this->redirect($this->url->link('module/cat_recommendations', 'token=' . $this->session->data['token'], 'SSL'));
				}else{
					$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
				}
			}
			
			$this->data['heading_title'] = $this->language->get('heading_title');
			
			$this->data['text_enabled'] = $this->language->get('text_enabled');
			$this->data['text_disabled'] = $this->language->get('text_disabled');
			$this->data['text_content_top'] = $this->language->get('text_content_top');
			$this->data['text_content_bottom'] = $this->language->get('text_content_bottom');		
			$this->data['text_column_left'] = $this->language->get('text_column_left');
			$this->data['text_column_right'] = $this->language->get('text_column_right');
			
			$this->data['entry_product'] = $this->language->get('entry_product');
			$this->data['entry_limit'] = $this->language->get('entry_limit');
			$this->data['entry_image'] = $this->language->get('entry_image');
			$this->data['entry_layout'] = $this->language->get('entry_layout');
			$this->data['entry_position'] = $this->language->get('entry_position');
			$this->data['entry_status'] = $this->language->get('entry_status');
			$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
			
			$this->data['button_save'] = $this->language->get('button_save');
			$this->data['button_submit'] = $this->language->get('button_submit');
			$this->data['button_cancel'] = $this->language->get('button_cancel');
			$this->data['button_add_module'] = $this->language->get('button_add_module');
			$this->data['button_remove'] = $this->language->get('button_remove');
			
			if (isset($this->error['warning'])) {
				$this->data['error_warning'] = $this->error['warning'];
			} else {
				$this->data['error_warning'] = '';
			}
			
			if (isset($this->error['image'])) {
				$this->data['error_image'] = $this->error['image'];
			} else {
				$this->data['error_image'] = array();
			}
			
			$this->data['breadcrumbs'] = array();
			
			$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
			);
			
			$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_module'),
			'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
			);
			
			$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('module/cat_recommendations', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
			);
			
			$this->data['action'] = $this->url->link('module/cat_recommendations', 'token=' . $this->session->data['token'], 'SSL');
			
			$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
			
			$this->data['token'] = $this->session->data['token'];
				
			//category
			$this->load->model('catalog/category');
			
			$categories = $this->model_catalog_category->getCategories(0);
			$this->data['categories'] = $categories;
			
			$this->load->model('catalog/product');
			
			$this->data['category_list'] = array();
			
			foreach ($categories as $category) {
				
				$products = explode(',', $this->config->get('cat_recommendations_product_' . $category['category_id']));

				$products_list = array();
				
				foreach ($products as $product_id) {
					$product_info = $this->model_catalog_product->getProduct($product_id);
					
					if ($product_info) {
						
						$products_list[] = array(
						'product_id' => $product_info['product_id'],
						'name'       => $product_info['name']
						);
					}
				}	
				
				$this->data['category_list'][] = array(
				'cat_recommendations_product' => $this->config->get('cat_recommendations_product_' . $category['category_id']),
				'category_id' => $category['category_id'],
				'name'       => $category['name'],
				'products'   => $products_list
				);
				
			}
			
			$this->data['modules'] = array();
			
			if (isset($this->request->post['cat_recommendations_module'])) {
				$this->data['modules'] = $this->request->post['cat_recommendations_module'];
			} elseif ($this->config->get('cat_recommendations_module')) { 
				$this->data['modules'] = $this->config->get('cat_recommendations_module');
			}		
			
			$this->load->model('design/layout');
			
			$this->data['layouts'] = $this->model_design_layout->getLayouts();
			
			$this->template = 'module/cat_recommendations.tpl';
			$this->children = array(
			'common/header',
			'common/footer'
			);
			
			$this->response->setOutput($this->render());
		}
		
		public function autocomplete() {
			$json = array();
			
			if (isset($this->request->get['filter_name']) || isset($this->request->get['filter_category_id'])) {
				$this->load->model('catalog/product');
				$this->load->model('catalog/option');
				
				if (isset($this->request->get['filter_name'])) {
					$filter_name = $this->request->get['filter_name'];
				} else {
					$filter_name = '';
				}
				
				if (isset($this->request->get['filter_category_id'])) {
					$filter_category_id = $this->request->get['filter_category_id'];
				} else {
					$filter_category_id = '';
				}
				
				
				if (isset($this->request->get['limit'])) {
					$limit = $this->request->get['limit'];	
				} else {
					$limit = 20;	
				}			
				
				$data = array(
				'filter_name'  => $filter_name,
				'filter_category_id' => $filter_category_id,
				'start'        => 0,
				'limit'        => $limit
				);
				
				$results = $this->model_catalog_product->catRecomGetProducts($data);
				
				foreach ($results as $result) {
					$json[] = array(
					'product_id' => $result['product_id'],
					'name'       => strip_tags(html_entity_decode($result['name'], ENT_QUOTES, 'UTF-8')),	
					);	
				}
			}
			
			$this->response->setOutput(json_encode($json));
		}
		
		protected function validate() {
			if (!$this->user->hasPermission('modify', 'module/cat_recommendations')) {
				$this->error['warning'] = $this->language->get('error_permission');
			}
			
			if (isset($this->request->post['cat_recommendations_module'])) {
				foreach ($this->request->post['cat_recommendations_module'] as $key => $value) {
					if (!$value['image_width'] || !$value['image_height']) {
						$this->error['image'][$key] = $this->language->get('error_image');
					}
				}
			}
			
			if (!$this->error) {
				return true;
			} else {
				return false;
			}	
		}
	}
