<?php
	class ControllerModuleCatRecommendations extends Controller {
		protected function index($setting) {
			static $module = 0;
			
			$this->language->load('module/cat_recommendations'); 
			
			$this->data['heading_title'] = $this->language->get('heading_title');
			
			$this->data['button_cart'] = $this->language->get('button_cart');
			
			$this->load->model('catalog/product'); 
			
			$this->load->model('tool/image');
			
			$this->document->addScript('catalog/view/javascript/jquery/jquery.jcarousel.min.js');

		    if (file_exists('catalog/view/theme/' . $this->config->get('config_template') . '/stylesheet/carousel.css')) {
			   $this->document->addStyle('catalog/view/theme/' . $this->config->get('config_template') . '/stylesheet/carousel.css');
		    } else {
			   $this->document->addStyle('catalog/view/theme/default/stylesheet/carousel.css');
		    }
			
			$this->document->addScript('catalog/view/javascript/cat-recommendations.js');
			$this->document->addStyle('catalog/view/theme/default/stylesheet/cat-recommendations.css');	
			
			$this->load->model('catalog/category');
			
			$categories = $this->model_catalog_category->catRecomGetCategories(0);
			$this->data['categories'] = $categories;
			
			$this->data['limit'] = 5;
			$this->data['scroll'] = 1;
			
			$this->data['category_list'] = array();
			
			foreach ($categories as $category) {
				
				$cat_recommendations = $this->config->get('cat_recommendations_product_' . $category['category_id']);	
				$products = explode(',', $cat_recommendations);
				
				if ($cat_recommendations && $products){
					
					$products_list = array();
					
					foreach ($products as $product_id) {
						$product_info = $this->model_catalog_product->getProduct($product_id);
						
						if ($product_info) {
							if ($product_info['image']) {
								$image = $this->model_tool_image->resize($product_info['image'], $setting['image_width'], $setting['image_height']);
							} else {
								$image = HTTP_IMAGE . 'no_image.jpg';
							}
							
							if (($this->config->get('config_customer_price') && $this->customer->isLogged()) || !$this->config->get('config_customer_price')) {
								$price = $this->currency->format($this->tax->calculate($product_info['price'], $product_info['tax_class_id'], $this->config->get('config_tax')), '', '', true, true);
							} else {
								$price = false;
							}
							
							if ((float)$product_info['special']) {
								$special = $this->currency->format($this->tax->calculate($product_info['special'], $product_info['tax_class_id'], $this->config->get('config_tax')), '', '', true, true);
							} else {
								$special = false;
							}
							
							if ($this->config->get('config_review_status')) {
								$rating = $product_info['rating'];
							} else {
								$rating = false;
							}
							
							$products_list[] = array(
							'product_id' => $product_info['product_id'],
							'thumb'   	 => $image,
							'name'    	 => $product_info['name'],
							'price'   	 => $price,
							'special' 	 => $special,
							'rating'     => $rating,
							'reviews'    => sprintf($this->language->get('text_reviews'), (int)$product_info['reviews']),
							'href'    	 => $this->url->link('product/product', 'product_id=' . $product_info['product_id']),
							);
						}
						
					}
					
					$this->data['category_list'][] = array(
					'cat_recommendations_product' => $this->config->get('cat_recommendations_product_' . $category['category_id']),
					'category_id' => $category['category_id'],
					'name'       => $category['name'],
					'products'   => $products_list
					);
					
				}
				
			}
			
			$this->data['module'] = $module++; 
			
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/cat_recommendations.tpl') ) {
				$this->template = $this->config->get('config_template') . '/template/module/cat_recommendations.tpl';
			} else {
				$this->template = 'default/template/module/cat_recommendations.tpl';
			}
			
			$this->render();
			
		}
		
	}
?>	