<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button type="submit" form="form-featured" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
			<a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
			<h1><?php echo $heading_title; ?></h1>
			<ul class="breadcrumb">
				<?php foreach ($breadcrumbs as $breadcrumb) { ?>
					<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid">
		<?php if ($error_warning) { ?>
			<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
				<button type="button" class="close" data-dismiss="alert">&times;</button>
			</div>
		<?php } ?>
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
			</div>
			<div class="panel-body">
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-cat_recommendations" class="form-horizontal">
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-name"><?php echo $entry_name; ?></label>
						<div class="col-sm-10">
							<input type="text" name="name" value="<?php echo $name; ?>" placeholder="<?php echo $entry_name; ?>" id="input-name" class="form-control" />
							<?php if ($error_name) { ?>
								<div class="text-danger"><?php echo $error_name; ?></div>
							<?php } ?>
						</div>
					</div>          
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo $entry_category; ?></label>
						<div class="col-sm-10">
							<select id="category_product" class="form-control">
								<?php
									foreach ($categories as $category){
										echo "<option value='". $category['category_id']. "'>". $category['name'] ."</option>";
									}
								?>	
							</select>
						</div>
					</div>  
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-product"><span data-toggle="tooltip" title="<?php echo $help_product; ?>"><?php echo $entry_product; ?></span></label>
						<div class="col-sm-10">
							<input type="text" name="product" value="" placeholder="<?php echo $entry_product; ?>" id="input-product" class="form-control" />
							<div id="cat_recommendations-product" class="well well-sm" style="height: 150px; overflow: auto;">
								<?php $i = 0; ?>
								<?php foreach ($category_list as $category){ ?>
									<?php if (($i++) == 0) $display = 'display:block'; else $display = 'display:none'; ?>
									<div style="<?php echo $display; ?>" id="cat_recommendationsegory<?php echo $category['category_id']; ?>">
										<?php foreach ($category['products'] as $product) {  ?>
											<div id="cat_recommendations-product<?php echo $product['product_id']; ?>-<?php echo $category['category_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $product['name']; ?>
												<input type="hidden" value="<?php echo $product['product_id']; ?>" />
											</div>
										<?php } ?>									
										<input type="hidden" class="cat_recommendations_product" name="cat_recommendations_product_<?php echo $category['category_id']; ?>" value="<?php echo $category['cat_recommendations_product']; ?>" />
									</div> 
								<?php } ?>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-width"><?php echo $entry_width; ?></label>
						<div class="col-sm-10">
							<input type="text" name="width" value="<?php echo $width; ?>" placeholder="<?php echo $entry_width; ?>" id="input-width" class="form-control" />
							<?php if ($error_width) { ?>
								<div class="text-danger"><?php echo $error_width; ?></div>
							<?php } ?>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-height"><?php echo $entry_height; ?></label>
						<div class="col-sm-10">
							<input type="text" name="height" value="<?php echo $height; ?>" placeholder="<?php echo $entry_height; ?>" id="input-height" class="form-control" />
							<?php if ($error_height) { ?>
								<div class="text-danger"><?php echo $error_height; ?></div>
							<?php } ?>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
						<div class="col-sm-10">
							<select name="status" id="input-status" class="form-control">
								<?php if ($status) { ?>
									<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
									<option value="0"><?php echo $text_disabled; ?></option>
									<?php } else { ?>
									<option value="1"><?php echo $text_enabled; ?></option>
									<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
								<?php } ?>
							</select>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
	<script type="text/javascript"><!--
		$('body').on('change', '#category_product', function() {
			var id = $(this).val();
			$('#cat_recommendations-product > div').hide();
			$('#cat_recommendationsegory' + id).show();
		});
		
		$('input[name=\'product\']').autocomplete({
			delay: 500,
			source: function(request, response) {
				$.ajax({
					url: 'index.php?route=extension/module/cat_recommendations/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request) + '&filter_category_id=' + $('#category_product').val(),
					dataType: 'json',
					success: function(json) {
						response($.map(json, function(item) {
							return {
								label: item['name'],
								value: item['product_id']
							}
						}));
					}
				});
			}, 
			select: function(item) {
				$('#cat_recommendations-product' + item['value'] + '-' + $('#category_product').val()).remove();
				
				$('#cat_recommendationsegory' + $('#category_product').val()).append('<div id="cat_recommendations-product' + item['value'] + '-' + $('#category_product').val() + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" value="' + item['value'] + '" /></div>');
				
				data = $.map($('#cat_recommendationsegory' + $('#category_product').val() + ' div input'), function(element){
					return $(element).attr('value');
				});
				
				$('#cat_recommendationsegory' + $('#category_product').val() + ' .cat_recommendations_product').attr('value', data.join());
				
				return false;
			},
			focus: function(event, ui) {
				return false;
			}
		});
		
		$('body').on('click', '#cat_recommendations-product .fa-minus-circle', function() {
			$(this).parent().remove();
			
			data = $.map($('#cat_recommendationsegory' + $('#category_product').val() + ' div input'), function(element){
				return $(element).attr('value');
			});

			$('#cat_recommendationsegory' + $('#category_product').val() + ' .cat_recommendations_product').attr('value', data.join());	
		});
		
	//--></script> 
	
</div>
<?php echo $footer; ?>
