<div class="cat-recommendations">
	<h3><?php echo $heading_title; ?></h3>
	<div class="row">
		
		<div class="col-sm-12">
			<div class="box-content">
				<div class="cat-recommendations-tabs">
					<ul>
						<?php foreach ($category_list as $key => $category){ ?>
							<li class="cat-recommendations-tab<?php echo $key == 0 ? ' active' : ''; ?>" data-cat-recommendations="<?php echo $key; ?>">
								<a href="#"><?php echo $category['name']; ?></a>
							</li>
						<?php } ?>	
					</ul>
				</div>
				
				<div class="cat-recommendations-product">
					<?php foreach ($category_list as $key => $category) { ?>
						
						<div id="carousel<?php echo $module; ?>_car_reccommend_<?php echo $key; ?>" class="owl-carousel box-tab-content<?php echo $key == 0 ? ' active' : ''; ?>" data-cat-recommendations="<?php echo $key; ?>">
							<?php foreach ($category['products'] as $product) {  ?>
								<div class="item product-layout">
									<div class="product-thumb transition">
										<div class="image"><a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" title="<?php echo $product['name']; ?>" class="img-responsive" /></a></div>
										<div class="caption">
											<h4><a href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a></h4>
											<p><?php echo $product['description']; ?></p>
											<?php if ($product['rating']) { ?>
												<div class="rating">
													<?php for ($i = 1; $i <= 5; $i++) { ?>
														<?php if ($product['rating'] < $i) { ?>
															<span class="fa fa-stack"><i class="fa fa-star-o fa-stack-2x"></i></span>
															<?php } else { ?>
															<span class="fa fa-stack"><i class="fa fa-star fa-stack-2x"></i><i class="fa fa-star-o fa-stack-2x"></i></span>
														<?php } ?>
													<?php } ?>
												</div>
											<?php } ?>
											<?php if ($product['price']) { ?>
												<p class="price">
													<?php if (!$product['special']) { ?>
														<?php echo $product['price']; ?>
														<?php } else { ?>
														<span class="price-new"><?php echo $product['special']; ?></span> <span class="price-old"><?php echo $product['price']; ?></span>
													<?php } ?>
													<?php if ($product['tax']) { ?>
														<span class="price-tax"><?php echo $text_tax; ?> <?php echo $product['tax']; ?></span>
													<?php } ?>
												</p>
											<?php } ?>
										</div>
										<div class="button-group">
											<button type="button" onclick="cart.add('<?php echo $product['product_id']; ?>');"><i class="fa fa-shopping-cart"></i> <span class="hidden-xs hidden-sm hidden-md"><?php echo $button_cart; ?></span></button>
											<button type="button" data-toggle="tooltip" title="<?php echo $button_wishlist; ?>" onclick="wishlist.add('<?php echo $product['product_id']; ?>');"><i class="fa fa-heart"></i></button>
											<button type="button" data-toggle="tooltip" title="<?php echo $button_compare; ?>" onclick="compare.add('<?php echo $product['product_id']; ?>');"><i class="fa fa-exchange"></i></button>
										</div>
									</div>
								</div>
							<?php } ?>
						</div>
					<?php } ?>	
				</div>
			</div>
		</div>
		
	</div>
	
	<script type="text/javascript"><!--
		$('.cat-recommendations-product .owl-carousel').each(function(){
			$(this).owlCarousel({
				items: 3,
				autoPlay: false,
				navigation: true,
				navigationText: ['<i class="fa fa-chevron-left fa-5x"></i>', '<i class="fa fa-chevron-right fa-5x"></i>'],
				pagination: false,
				itemsDesktopSmall : [1199,3],
				itemsTablet: [992,2],
				itemsMobile: [767,1]
			});
		});
	--></script>
	
</div>